Bug 1364968 - [EC2] deployer image name is logging-deployment in logging-deployer-template
Summary: [EC2] deployer image name is logging-deployment in logging-deployer-template
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 10:01 UTC by Xia Zhao
Modified: 2016-09-19 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:24:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Xia Zhao 2016-08-08 10:01:30 UTC
Problem description: 
Check  spec.containers.env.images in logging-deployer-template after installing OSE v3.3.0.16, The image version is logging-deployment

Version-Release number of selected component (if applicable):
ansible-2.1.1.0-1.el7.noarch.rpm  
openshift-ansible-playbooks-3.3.7

# openshift version
openshift v3.3.0.16

How reproducible:
Always

Steps to Reproduce:
1. Install OSE via openshift-ansible-playbooks-3.3.7
2. Check spec.containers.env.images in logging-deployer-template after installation completed successfully

Actual Result:
 image: ${IMAGE_PREFIX}logging-deployment:${IMAGE_VERSION}

Expected Result:
 image: ${IMAGE_PREFIX}logging-deployer:${IMAGE_VERSION}

Additional info:
The installation was done on EC2 environment

Comment 1 Xia Zhao 2016-08-09 02:00:40 UTC
Check the examle files under /etc/origin/examples, its version is v1.2

In ansible logs, I found the examples_content_version is v1.2. It seems openshift_fact can't get correct version on EC2.

This issue did not occur using same version of installer towards Openstack.

TASK [openshift_facts : Gather Cluster facts and set is_containerized if needed] ***
Monday 08 August 2016  06:21:45 +0000 (0:00:01.909)       0:00:10.973 ********* 
changed: [ec2-52-90-247-209.compute-1.amazonaws.com] => {"ansible_facts": {"openshift": {"common": {"admin_binary": "/usr/local/bin/oadm", "all_hostnames": ["ec2-52-90-247-209.compute-1.amazonaws.com", "172.18.8.55", "ip-172-18-8-55.ec2.internal", "52.90.247.209"], "cli_image": "openshift3/ose", "client_binary": "/usr/local/bin/oc", "cluster_id": "default", "config_base": "/etc/origin", "data_dir": "/var/lib/origin", "debug_level": 2, "deployer_image": "openshift3/ose-deployer", "deployment_type": "openshift-enterprise", "dns_domain": "cluster.local", "examples_content_version": "v1.2", "

Comment 2 Xia Zhao 2016-08-19 09:24:15 UTC
Installed OSE v3.3.0.22 on EC2, I noticed that this issue is fixed. Please feel free to transfer back ON_QA for closure. Thanks!

Comment 3 Scott Dodson 2016-08-19 12:48:28 UTC
Yes, this was inadvertently fixed via another PR. Moving ON_QA.

Comment 4 Xia Zhao 2016-08-23 07:06:00 UTC
Set to verified according to comment #2


Note You need to log in before you can comment on or make changes to this bug.